# CairoContext::newPath

# cairo_new_path

(PECL cairo >= 0.1.0)

CairoContext::newPath -- cairo_new_path — The newPath purpose

### Description

Object oriented style (method):

public CairoContext::newPath ( void ) : void

Procedural style:

cairo_new_path ( CairoContext `$context` ) : void

Clears the current path. After this call there will be no path and no current point.

### Parameters

`context`

  A valid CairoContext object.

### Return Values

No value is returned.

### Examples

Example #1 Object oriented style

`<?php
// [...]
CairoContext::newPath();
?>`

Example #2 Procedural style

`<?php
// [...]
cairo_new_path($context);
?>`

### See Also

- CairoContext::appendPath() - Appends a path to current path
- CairoContext::closePath() - Closes the current path